Subject: Re: Courrier non diffusé.

From: Valentin Villenave <[email-masked]>
Date: Fri, 20 Feb 2009 23:37:29 +0100

Le 20 février 2009 11:24, LIBON Victor <[email-masked]> a écrit :
> Bonjour messieurs Mandereau et Villenave,

Bonjour Victor,

Je ne sais pas si les listes de discussions sont pour vous quelque
chose d'habituel, aussi vais-je tenter de commencer par un
avant-propos à vocation pédagogique avant de répondre à votre message
en lui-même.

Vous devez garder à l'esprit un principe simple : toutes les personnes
que vous pourrez rencontrer parmi la communauté LilyPond sont ne sont
mûs que par un sentiment de générosité. La générosité, cela ne se
commande pas, ne s'exige pas, ne se critique pas. Je n'ai jamais
rencontré que de la bonne volonté, que ce soit ici ou parmi l'équipe
internationale ; de ce fait, présumer comme vous le faites d'un manque
d'intérêt, voire d'un mouvement de malveillance est, à tout le moins
fort peu judicieux, et assurément contre-productif.

> Je vous écrit concernant les courriers que j'ai envoyé:

... et si vous voulez faire dans le courrier officiel à l'avenir, il
serait approprié de vérifier votre orthographe...

> 1) à Lilypond: [email-masked] (Date: Tue, 17 Feb 2009 14:08:06
> +0100)
> 2) à John Mandereau: [email-masked] (Date: Tue, 17 Feb 2009
> 19:56:54 +0100)
>
> Vous en trouverez copie, ainsi que sa pièce jointe en fin du présent
> courrier.
>
> Je déplore l'absence de réponses à ces envois, et je me demande finalement
> s'ils ont été reçus et lus. Ceci me rend l'attente d'une quelconque réponse,
> ou même simple accusé de réception, d'autant plus pressante.

Tout message posté sur la liste de diffusion est reçu par l'ensemble
des abonnés. Si personne n'y répond ensuite, c'est que personne n'a
d'idée pour y répondre. Ou de temps. Ou les deux.

Cela étant, des règles purement mécaniques peuvent contraindre
certains messages à se voir bloqués : pièce jointe trop lourde,
abonnement désactivé, ou autre. Nous allons tenter de voir ce qui
s'est passé dans votre cas.

Mon collègue John me signale qu'un délai d'une semaine, voire d'une
dizaine de jours est courant dans le traitement des messages à
modérer, et ne présente rien de choquant en soi. De plus, les
personnes dont un message a été rejeté sont en sont notifiées par un
courrier automatique qui indique la raison du rejet. Vous n'êtes ni le
premier ni le dernier à vous trouver dans une situation analogue (il
m'est moi-même arrivé d'envoyer des pièces jointes trop lourdes par
mégarde), mais vous êtes assurément le premier à en prendre ombrage !

> Peut-être aurais-je dû un peu plus réfléchir avant d'envoyer mon premier
> courrier. Sa "censure" en était peut-être tout à fait inévitable. C'est à
> vous de me le dire.

Je ne sache pas que le vocable que vous employez ait jamais eu sa place ici.

> Mais attendre de ma part une "auto-censure au petit bonheur" quant à mes
> rapports avec la mailing-list lilypond est un peu beaucoup me demander.
>
> Si d'aventure la non-réponse à mes courriers était tout à fait volontaire,
> veuillez dans ce cas considérer les courriers cités comme "nuls,
> non-avenus", et ne plus en tenir compte à l'avenir. Je serais alors, quant à
> moi, absolument déçu par la gestion de votre liste, et j'hésiterais
> beaucoup, à l'avenir, avant de m'en servir.

Votre vocabulaire est symptomatique. On ne se "sert" pas d'une liste.
On _contribue_, tout au plus et de son mieux, aux discussions.

> Dans le cas contraire, s'il vous plaît, répondez-moi brièvement de façon à
> me faire part du cadre strict dans lequel je dois tenir mes envois, afin de
> me permettre, enfin, de corriger celui-ci en l'y faisant  entrer. Je lis
> régulièrement les interventions des membres et médiateurs sur la liste, et,
> il me semble qu'il y règne une saine ambiance amicale favorisant l'esprit de
> collaboration.

C'est une façon de le présenter. J'aurais dit : "c'est sympa ici".

> C'est la raison pour laquelle, je suis persuadé de recevoir bientôt de vos
> nouvelles.
>
> Merci d'avance.
>
> --
> LIBON Victor <[email-masked]>
> Bonjour Mr Mandereau,
>
> J'ai envoyé à Lilypond [email-masked] (Date: Tue, 17 Feb 2009
> 14:08:06 +0100) le message suivant:
>
> Salut à tous les "lilyponders",
>
> Comme la mailing-list fonctionne bien, et que je vois que certains se sont
> déjà attelés à encoder des projets de très grande envergure, je me suis dit
> modestement, que j'allais essayer de transcoder les "Vier Letzte Lieder" de
> Richard Strauss dans sa version pour piano et voix soprano.

Objectif louable. Je ne suis pas sûr que "transcoder" soit le terme
approprié, au demeurant : on ne reproche déjà que trop sa technicité à
LilyPond !

> Mon but est de jouer la voix au saxophone soprano en me servant de la partie
> de piano en midi pour m'accompagner.
>
> Comme je suis plus "jazz" que "classique", je compte aussi sur la partition
> pour m'aider à en analyser la structure, les harmonies, écrire des variantes
> de certaines parties pour en expérimenter ma compréhension de son
> fonctionnement, et finalement m'inspirer de celles-ci en improvisation ou en
> composition.

> Lilypond me paraît un excellent outil pour "jouer" avec tout ça, sans avoir
> besoin de personne.

C'est une idée intéressante, à deux détails près : d'abord vous
risquez de trouver le rendu synthétique (MIDI) quelque peu frustrant,
ensuite le fait de saisir la partition sous LilyPond ne vous apportera
pas forcément d'éclaircissement sur le langage harmonique (l'écriture
sous LilyPond se fait de façon très horizontale).

Au demeurant, cette liste se prête également à des discussions de
théorie musicale le cas échéant.

> Si ce n'est que: rien qu'à voir les premières mesures de la partition dont
> je dispose (Boosey & Hawkes), je me demande si j'arriverai un jour au bout!
>
> Je me demande dès lors si elle n'existe pas déjà au format lilypond, ou
> midi? (puisqu'on peut convertir les fichiers midi en lilypond).
>
> Si oui, je serais heureux d'en disposer. Sinon, je relirai tous les conseils
> de mes lilypond-aînés relatifs aux "gros projets".
>
> Peut-être que je suis trop vite effrayé, et que si je m'y mettais... mais
> dans tous les cas, je n'ai pas envie de "réinventer la roue".

C'est une crainte que partagent beaucoup de novices sous Lilypond.
Pour ma part, comme je l'expliquais dernièrement, je me suis rendu
compte que j'allais bien plus vite en tapant tout le code moi-même
qu'en reprenant un fichier .ly ou MIDI.

> Je peux envoyer la partition au format pdf à ceux qui seraient intéressés.
> Quant aux droits d'auteurs, je crois qu'ils se terminent 75 ans à partir de
> la mort du compositeur, c'est long! Disons donc que les "dits intéressés"
> achèteront la partition officielle si ils la trouvent intéressante, et
> qu'ils détruiront la copie .pdf dans le cas contraire. Comme ça, personne ne
> sera lésé.

Strauss n'est certes pas près de tomber dans le domaine public. À ce
titre, même si aucun d'entre nous n'est dupe, ce n'est que par
correspondance privée que nous pouvons échanger de telles ressources.
(Au demeurant, ces pièces n'ont pas encore été LilyPondées à ma
connaissance.) Il est regrettable que vous ne puissiez, légalement,
faire bénéficier la communauté du fruit de votre travail une fois
terminé.

> Je joins à mon message la première page du dernier lieder "Im Abendrot" au
> format jpg (il y en a une trentaine comme ça au total). Déjà l'armure avec
> un bémol entre parenthèse me décourage!
>
> Pour ma part, je suis prêt à acheter la partition au format lilypond ou
> midi, si elle existe, afin que les droits d'auteurs soient dûment versés.
> Une partition qu'on apprécie vraiment vaut bien le sacrifice de quelques
> euros, même si je trouve que les oeuvres d'une telle importance culturelle,
> devraient appartenir à tous, et être dans le domaine public.

Acheter la partition ne vous fera hélas bénéficier d'aucun droit,
puisque sa reproduction (même partielle, même sous LilyPond) est
assimilable à de la contrefaçon. Si vous faites une nouvelle oeuvre
lointainement inspirée de ces pièces, en revanche, vous serez libre de
la diffuser sous la licence de votre choix, en concédant autant de
libertés que vous le voudrez.

> C'est la première fois que j'envisage un tel projet et tout renseignement
> utile sera le bien-venu.
>
> Merci à tous, déjà pour m'avoir lu jusqu'au bout, et, "double ration" à ceux
> qui ont l'intention de me conseiller.
>
> Totor.
>
> Contenant une pièce jointe que je vous transmet également.
>
> Mon message n'est pas paru sur la liste de diffusion.

La présence de la pièce jointe, si elle était trop lourde, peut
expliquer que votre message ne soit pas passé. (Mon collègue John me
signale que c'est sans nul doute ce qui s'est produit.) Pour mémoire,
le projet GNU nous hébergeant gracieusement, nous fixons la limite à
32 Ko.

> J'imagine que c'est à cause du problème de "droits d'auteurs sur le fragment
> de partition" que j'ai envoyé. Si c'est le cas, je peux très facilement
> envoyer un autre courrier dénué des passages qui pourraient s'avérer
> "litigieux".

Le fait d'évoquer le titre de la partition n'est pas passible de
poursuites ! Quant à autoriser ici de courts extraits couverts par le
droit d'auteur, cela nous arrive couramment.

> Je suis un fervent défenseur de "l'open software" et j'ai donc bien compris
> ce qu'est la licence GNU, et les réserves qui y sont rattachées. Je me
> soumettrai donc volontiers aux règles en vigueur.

Je vous inviterais à être plus prudent quant à la terminologie que
vous employez. Le projet GNU (dont fait partie LilyPond) ne s'est
jamais défini comme "open" (ce qui est l'appellation très affadie,
très "corporate" du logiciel libre) mais comme "free software". Quant
à "la" licence GNU, vous parlez sans doute de la General Public
License (mais le projet GNU a au moins trois ou quatre autres
licences) : cette licence ne s'applique qu'aux logiciels et à leur
code source, mais ni aux oeuvres d'art, ni aux correspondances telles
que votre courrier.

Nous aurons, je l'espère, d'autres occasions d'aborder tous ces sujets
; vous êtes libre (et chaudement invité) à nous poser toutes les
questions quant auxquelles nous pourrions vous éclaircir.

Cordialement,
V. Villenave.

---

From: John Mandereau <[email-masked]>
Date: Sat, 21 Feb 2009 00:30:13 +0100

Valentin Villenave a écrit :
> fort peu judicieux, et assurément contre-productif
J'ajouterais qu'un délai de réponse d'une semaine, voire 10 jours, n'est 
pas déraisonnable pour un message envoyé et arrivé à bon port sur la 
liste, pendant les périodes où tous les membres de la liste pouvant 
potentiellement répondre sont très occupés ; pour des problèmes de 
modération, nous devrions intervenir plus rapidement (en quelques jours) 
mais en tout cas le message de notification automatique devrait être 
assez explicite pour signifier qu'un message 10 fois plus gros que la 
limite autorisée (qui est de 80 Ko) ne passera pas.

Salutations lilypondesques
John Mandereau

---

From: Valentin Villenave <[email-masked]>
Date: Sat, 21 Feb 2009 00:56:37 +0100

Le 21 février 2009 00:30, John Mandereau <[email-masked]> a écrit :
> J'ajouterais qu'un délai de réponse d'une semaine, voire 10 jours, n'est pas
> déraisonnable pour un message envoyé et arrivé à bon port sur la liste,
> pendant les périodes où tous les membres de la liste pouvant potentiellement
> répondre sont très occupés ; pour des problèmes de modération, nous devrions
> intervenir plus rapidement (en quelques jours) mais en tout cas le message
> de notification automatique devrait être assez explicite pour signifier
> qu'un message 10 fois plus gros que la limite autorisée (qui est de 80 Ko)
> ne passera pas.

80 Ko ? Tu es plus tolérant que moi :-)

Plus sérieusement, il me semble que la limite de 32K concerne la liste
anglophone (ou est-ce 64 ?). D'une façon comme d'une autre, nous
devrions afficher cette information sur
http://lists.gnu.org/mailman/listinfo/lilypond-user-fr peut-être.

Cordialement,
Valentin

---

From: John Mandereau <[email-masked]>
Date: Sun, 22 Feb 2009 20:47:04 +0100

Valentin Villenave a écrit :
> anglophone (ou est-ce 64 ?).
>   
C'était 64 Ko il y a quelques temps, mais ils sont passés à 80 ou même 
100 Ko.

>  D'une façon comme d'une autre, nous
Bonne idée, c'est fait.

John

---

From: Valentin Villenave <[email-masked]>
Date: Sun, 22 Feb 2009 23:58:58 +0100

> Bonne idée, c'est fait.

Très bien ; un de ces jours il faudra aussi indiquer que les mails au
format texte c'est la classe, et qu'envoyer des mails en HTML c'est
avoir des goûts de chiotte...
</div> (oups trahi)

:-)

Valentin

---

From: Jean-Jacques Rétorré<[email-masked]>
Date: Mon, 23 Feb 2009 10:54:31 +0100

> avoir des goûts de chiotte...

C'est surtout un vecteur d'infection virale, et en plus c'est assez
pénible à lire.
  Il suffit de passer quelques minutes dans l'aide du logiciel de
messagerie pour apprendre à envoyer un message en texte brut.
Par la même occasion ,régler son logiciel pour que la réponse figure
après la question, ce qui devrait sembler logique à tous.
  Si besoin demander de l'aide en précisant le logiciel de messagerie
utilisé.

JJR.

-- 
La seule vraie bête de somme, c'est la mouche tsé-tsé
	-+- Pierre Dac -+-

---

From: Daniel Cartron <[email-masked]>
Date: Mon, 23 Feb 2009 11:25:31 +0100

>   Si besoin demander de l'aide en précisant le logiciel de messagerie

Ben comme la majorité des windowsiens utilisent outlook, si tu pouvais donner 
l'info pour ce courrielleur ce serait un bon début.

-- 
Cordialement, Daniel Cartron
« Le souvenir, ce n'est qu'un regret apaisé. »
Francis Blanche - Mon oursin et moi

---

From: LIBON Victor <[email-masked]>
Date: Mon, 23 Feb 2009 15:37:11 +0100

> fort peu judicieux, et assurément contre-productif.

Je suis désolé de m'être montré si pressé (peut-être aussi un peu
"parano"!), mais, je me demandais, si vous aviez reçu mon message, ou si
j'avais gaffé au point de m'être attiré votre mépris!

> serait approprié de vérifier votre orthographe...

Je n'avais pas l'intention de "faire dans le courrier officiel", et je
n'ai jamais été "calé" en orthographe. Si je peux parfois faire
illusion, c'est grâce au correcteur orthographique de mon logiciel
d'e-mail (evolution), qui ne corrige pas encore les participes passés.

> s'est passé dans votre cas.

Mon courrier était simplement trop lourd, ne recevant aucun "accusé de
réception", et passant à ce moment là une période "psychologiquement
difficile" qui n'intéresse personne je suppose, j'ai réagi de façon
précipitée. Je regrettais déjà avoir envoyé mon premier courier, j'ai
ensuite regretté d'avoir insisté.

> Je ne sache pas que le vocable que vous employez ait jamais eu sa place ici.

Je n'ai pas employé le mot "censure" dans un esprit péjoratif. Il est
normal que l'usage d'une liste de diffusion soit restreint à ceux qui en
respectent les règles.

> On _contribue_, tout au plus et de son mieux, aux discussions.

Désolé de ce mot malheureux. Je pensais à "l'usage d'une adresse e-mail"
au moment ou on envoie un courrier. Le mot contribution est évidemment
bien mieux choisi.

> théorie musicale le cas échéant.

L'utilisation des fichiers midis générés par Lilypond me paraît un
excellent outil pour "expérimenter" l'écriture de partitions.

Analyser une partition, la transformer, puis écouter le résultat me
semble donc une excellente façon d'étudier la structure et l'harmonie
d'une oeuvre musicale.

Lilypond permet tout ça.

> faire bénéficier la communauté du fruit de votre travail une fois

C'était bien mon idée: dans le cas où je devrais encoder la partition
moi-même, je l'aurais volontiers partagée avec l'ensemble de la
communauté, ce qui m'aurait éventuellement permis d'être corrigé par des
musiciens plus chevronnés que moi.

> le projet GNU nous hébergeant gracieusement, nous fixons la limite à

C'était apparemment le cas. Ce serait bien si un "accusé de réception"
était automatiquement envoyé en cas de courrier "recalé".

Maintenant, tous les contributeurs (je ne veux plus vexer personne par
l'usage du mot "utilisateur") de la liste ne traversent pas des périodes
de "parano", et se montrent donc bien plus patients...

> questions quant auxquelles nous pourrions vous éclaircir.

Je voulais simplement dire, qu'il était normal d'être sensible à la
problématique concernant les droits d'auteurs lorsqu'on participe à un
tel projet.

Je vous remercie pour votre longue réponse détaillée, et vous promet de
me montrer plus réfléchi, patient, et surtout moins "anxieux" à
l'avenir.

Amicalement.

---

From: LIBON Victor <[email-masked]>
Date: Mon, 23 Feb 2009 15:53:57 +0100

Le samedi 21 février 2009 à 01:33 +0100, John Mandereau a écrit :
> LIBON Victor a écrit :
> > Bonsoir John,
> >
> > Je viens d'envoyer un mail à Valentin, et il s'adresse aussi à vous.
> Je ne le vois pas dans l'en-tête, mais je vous crois sur parole :-)
> 
> > Je connais depuis longtemps la somme de bonne volonté et de gratuité 
> > qui est indispensable au bon fonctionnement de tout projet "open 
> > software" d'une importance analogue à celle de lilypond. Je suis 
> > désolé de vous avoir laissé penser que je n'en éprouvais aucune 
> > reconnaissance. C'est loin d'être le cas!
> La notion de gratuité est à employer avec une grande prudence, et "open 
> software" n'a pas de signification établie, ce terme vague serait bon 
> pour du marketing de bas étage.
> Je vous invite à lire
> http://www.gnu.org/philosophy/words-to-avoid.fr.html
> http://www.gnu.org/philosophy/open-source-misses-the-point.fr.html
> et si vous avez le temps les autres pages de philosophie de GNU.
> 

Il est toujours intéressant de relire ses fondamentaux. Il est vrai que
la philosophie concernant le logiciel libre peut se montrer subtile, et
ses implications bien plus profondes qu'il n'y paraît au premier regard.

Mais je ne confondais tout de même pas "logiciel gratuit", et "logiciel
libre". Le mot "dévouement" exprime bien mieux l'idée qui était celle
que je tentais de partager dans mon message.

> > Je vais donc reprendre ma lecture de façon plus attentive, et je vous 
> > ferai part de mes réflexions, si il me semble qu'elles peuvent avoir 
> > un certain intérêt.
> Est-ce que vous pouvez suivre pour règle d'or de prendre le temps de 
> lire en entier une réponse avant de réagir immédiatement sous le coup de 
> l'émotion ; cela vous éviterait
> d'employer à nouveau des propos qui nous hérissent.  En général, c'est 
> une règle de respect envers tout correspondant, et plus particulièrement 
> envers des gens inondés de
> courriel à travers des listes de diffusion et parfois leur modération.
> 
> Cordialement,
> John Mandereau
> 

Après vous avoir malheureusement, et j'insiste bien sur le mot
"malheureusement" pressé, il me semblait devoir vous envoyer un "accusé
de réception" au plus vite, cela me semblait n'être que justice.

Amicalement.

---

From: LIBON Victor <[email-masked]>
Date: Mon, 23 Feb 2009 16:03:55 +0100

Le lundi 23 février 2009 à 10:54 +0100, Jean-Jacques Rétorré a écrit :
> _______________________________________________
> liste de diffusion lilypond-user-fr
> [email-masked]
> http://lists.gnu.org/mailman/listinfo/lilypond-user-fr

Ok, Logiciel réglé.

Je réserve le html pour mes seuls proches.

Ceux-ci ne m'avaient pas encore dit que j'avais des "goûts de chiotte",
et je croyais bien naïvement qu'ils appréciaient les possibilités du
html.

Mais, si vous le dites, je veux bien le croire.

Ceci dit sans rire, sans rancune, sans cynisme, sincèrement et tout
aussi naïvement.

Amicalement.

---

From: Valentin Villenave <[email-masked]>
Date: Mon, 23 Feb 2009 18:03:40 +0100

> Mais, si vous le dites, je veux bien le croire.

En utilisant le formatage HTML, vous fournissez une mise en forme déjà
toute-prête à votre destinataire, tandis qu'avec du texte seul, vous
lui laissez le contrôle sur la manière dont il veut lire et afficher
votre message (notamment en ce qui concerne la largeur des lignes).
Pour cette raison, les puristes considèrent le formatage comme quelque
peu intrusif -- mais c'est une question de goût.

Dans le cas d'une mailing list, en revanche, qui est (essentiellement)
destinée à être archivée et parcourue ultérieurement, le texte seul
ainsi que l'habitude de répondre _en-dessous_ du message que vous
citez sont des atouts particulièrement bienvenus, puisqu'ils
favorisent l'archivage de vos messages et la recherche dans les
archives.

Je prends pour illustrer mon propos deux messages au pif dans
l'archive, l'un en HTML, l'autre en texte :
http://n2.nabble.com/LilypondTool-pour-les-fain%C3%A9ants---tt2346820.html#a2347981
et
http://n2.nabble.com/LilypondTool-pour-les-fain%C3%A9ants---tt2346820.html#a2351853

Cordialement,
Valentin

---

From: François Martin <[email-masked]>
Date: Wed, 25 Feb 2009 13:40:18 +0100

Le 23 février 2009 18:03, Valentin Villenave <[email-masked]> a écrit :
> avec du texte seul, vous
> votre message (notamment en ce qui concerne la largeur des lignes)

Je suis d'assez près et avec grand intérêt la conversation, mais c'est
ici que j'ai un peu de mal à comprendre : chez moi, les messages en
mode texte subissent un retour à la ligne systématique au bout de 75
caractères (à peu près) – ce qui n'est pas le cas du mode HTML.
J'aurais donc tendance à me sentir plus libre à écrire, et surtout à
lire, en HTML.
Comment est-il possible d'avoir un contrôle sur la largeur des lignes ?

-- 
François

---

From: Martial <[email-masked]>
Date: Wed, 25 Feb 2009 14:23:07 +0100

> les messages en mode texte subissent un retour à la ligne
> systématique au bout de 75. Comment est-il possible d'avoir un
> contrôle sur la largeur des lignes ?

Thunderbird
menu outils
	options
		général
Reformater les messages textes en lignes de ...

Outlook Express
outils
	options
		Envois
format d'envois du courrier
	(cocher texte)
  clic sur Paramètres de texte brute
		 Retour à la ligne après ...

Pour Nabble ou Gmail.com je n'ai pas trouvé !	

-- 
Martial